Bug 4115 - rpm-3.0.2/3.0.3: incomplete cleanup if --rebuilddb fails
rpm-3.0.2/3.0.3: incomplete cleanup if --rebuilddb fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-19 10:57 EDT by Michael Andres
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-20 14:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Andres 1999-07-19 10:57:32 EDT
If --rebuilddb fails, rpmdbRemoveDatabase(..)
does not remove triggerindex.rpm and the temp
dbpath.

(sending patch to bugzilla@redhat.com)

cu,
   Michael
Comment 1 Jeff Johnson 1999-07-20 14:53:59 EDT
Fixed in cvs (and probably in rpm-3.0.3-0.5 and later). Thanks
for the patch.

Note You need to log in before you can comment on or make changes to this bug.